TikTok Shop

Where up to 100 sample applications ended up

GET/api/public/v1/tik_tok_shop/samples/outcomes
ConnectorAnswers empty results in the documented shape until the brand switches on this connection.

Operation id getTikTokShopSampleOutcomes

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/samples/outcomes?applicationIds=string" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
applicationIdsquerystringrequired
organization_idqueryinteger

Responses

200Success

FieldTypeNotes
itemsarray of object
items[].[].applicationIdstringrequired
items[].[].approvedAtstring (date-time), nullable
items[].[].contentobject
items[].[].content.firstPostedAtstring (date-time), nullable
items[].[].content.videosinteger
items[].[].content.viewsnumber, nullable
items[].[].contentFulfilledboolean
items[].[].contentPostedboolean
items[].[].creatorIdstring, nullable
items[].[].creatorUsernamestring, nullable
items[].[].currentStatestring, nullable
items[].[].foundbooleanrequired
items[].[].gmvobject, nullable
items[].[].gmv.amountstring, nullable
items[].[].gmv.currencystring, nullable
items[].[].gmv.ordersinteger
items[].[].partnerNamestring, nullable
items[].[].productsarray of object
items[].[].products[].[].currentStatestring
items[].[].products[].[].nativeStatusstring, nullable
items[].[].products[].[].productIdstring, nullable
items[].[].products[].[].stateTimestampsobject
items[].[].reviewRecordedAtstring (date-time), nullable
items[].[].shippedboolean
items[].[].shippedAtstring (date-time), nullable

Example

{
  "items": [
    {
      "applicationId": "string",
      "approvedAt": "2026-11-01T15:04:05Z",
      "content": {
        "firstPostedAt": "2026-11-01T15:04:05Z",
        "videos": 3,
        "views": 125.5
      },
      "contentFulfilled": true,
      "contentPosted": true,
      "creatorId": "string",
      "creatorUsername": "Example name",
      "currentState": "string",
      "found": true,
      "gmv": {
        "amount": "string",
        "currency": "usd",
        "orders": 3
      },
      "partnerName": "Example name",
      "products": [
        {
          "currentState": "string",
          "nativeStatus": "string",
          "productId": "string",
          "stateTimestamps": {}
        }
      ],
      "reviewRecordedAt": "2026-11-01T15:04:05Z",
      "shipped": true,
      "shippedAt": "2026-11-01T15:04:05Z"
    }
  ]
}

Errors: 400401404422429502with an error and usually a message. See errors.

Example values are made up from each field's type and name.